Skip to content

Services

All operations require authentication, except the 2 marked Public.

6 operationsv1/sslGateway · /sslGateway/availableZones · /sslGateway/eligibility · +1
Agent setup

List SSL GatewaysBeta

GET
/1.0/sslGateway

Query parameters

iamTags
object

Filter resources on IAM tags

Response

200string[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ "string"]

Get an SSL GatewayBeta

GET
/1.0/sslGateway/{serviceName}

Path parameters

serviceName
required
string

The internal name of your SSL Gateway

Response

200SslGatewayWithIAMsuccessful operation
allowedSource
ipBlock[]

Restrict SSL Gateway access to these ip block. No restriction if null

displayName
string

Custom name of your SSL Gateway

hsts
boolean

Set to true to enable Strict-Transport-Security HTTP header

httpsRedirect
boolean

Set to true to enable https redirect

iam
read-only
ResourceMetadata

IAM resource metadata

ipv4
read-only
ipv4

The IPv4 you need to put in the A field of your domain name

ipv6
read-only
ipv6

The IPv6 you need to put in the AAAA field of your domain name

metricsToken
read-only
string

The metrics token associated with your SSL Gateway

offer
read-only
OfferEnum

Current offer for your SSL Gateway

Valuesadvancedenterprisefreeinternal
reverse
string

Custom reverse for your SSL Gateway

serverHttps
boolean

Set to true to contact backend servers over HTTPS

serviceName
read-only
string

The internal name of your SSL Gateway

sslConfiguration
SslConfigurationEnum

Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.

Valuesintermediateinternalmodern
state
read-only
StateEnum

Current state of your SSL Gateway

Valuescreatingdeleteddeletinghttp-onlyinternaloksuspendedupgrading
zones
read-only
string[]

Zones of your SSL Gateway

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "allowedSource": [ "192.0.2.0/24" ], "displayName": "string", "hsts": true, "httpsRedirect": true, "iam": { "displayName": "string", "id": "00000000-0000-0000-0000-000000000000", "state": "EXPIRED", "tags": { "key": "string" }, "urn": "string" }, "ipv4": "192.0.2.0", "ipv6": "2001:41d0:1:1994::1", "metricsToken": "string", "offer": "advanced", "reverse": "string", "serverHttps": true, "serviceName": "string", "sslConfiguration": "intermediate", "state": "creating", "zones": [ "string" ]}

Update an SSL GatewayBeta

PUT
/1.0/sslGateway/{serviceName}

Path parameters

serviceName
required
string

The internal name of your SSL Gateway

Request body (required)

allowedSource
ipBlock[]

Restrict SSL Gateway access to these ip block. No restriction if null

displayName
string

Custom name of your SSL Gateway

hsts
boolean

Set to true to enable Strict-Transport-Security HTTP header

httpsRedirect
boolean

Set to true to enable https redirect

ipv4
read-only
ipv4

The IPv4 you need to put in the A field of your domain name

ipv6
read-only
ipv6

The IPv6 you need to put in the AAAA field of your domain name

metricsToken
read-only
string

The metrics token associated with your SSL Gateway

offer
read-only
OfferEnum

Current offer for your SSL Gateway

Valuesadvancedenterprisefreeinternal
reverse
string

Custom reverse for your SSL Gateway

serverHttps
boolean

Set to true to contact backend servers over HTTPS

serviceName
read-only
string

The internal name of your SSL Gateway

sslConfiguration
SslConfigurationEnum

Modern oldest compatible clients : Firefox 27, Chrome 30, IE 11 on Windows 7, Edge, Opera 17, Safari 9, Android 5.0, and Java 8. Intermediate oldest compatible clients : Firefox 1, Chrome 1, IE 7, Opera 5, Safari 1, Windows XP IE8, Android 2.3, Java 7. Intermediate if null.

Valuesintermediateinternalmodern
state
read-only
StateEnum

Current state of your SSL Gateway

Valuescreatingdeleteddeletinghttp-onlyinternaloksuspendedupgrading
zones
read-only
string[]

Zones of your SSL Gateway

Response

200—successful operation

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway/{serviceName} \
  -H "authorization: Bearer $OVH_TOKEN"

List available zonesBetaPublic

GET
/1.0/sslGateway/availableZones

Response

200string[]successful operation

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway/availableZones
ResponseExample
[ "string"]

Check domain eligibilityBetaPublic

GET
/1.0/sslGateway/eligibility

Query parameters

domain
required
string

domain to check eligibility for SSL Gateway offer

Response

200EligibilityStatussuccessful operation
domain
string

Customer domain name

ip6s
ipv6[]

Eligible IP(s) v6 for this domain

ips
ipv4[]

Eligible IP(s) for this domain

isHostedByOvh
boolean

Whether this domain is hosted by Ovh or not

Public: no token needed

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway/eligibility
ResponseExample
{ "domain": "string", "ip6s": [ "2001:41d0:1:1994::1" ], "ips": [ "192.0.2.0" ], "isHostedByOvh": true}

List NAT IPsBeta

GET
/1.0/sslGateway/{serviceName}/natIp

Path parameters

serviceName
required
string

The internal name of your SSL Gateway

Response

200NatIps[]successful operation
ip
ipBlock[]
—
zone
string
—

Example uses serviceName = string

$ curl https://api.eu.ovhcloud.com/1.0/sslGateway/{serviceName}/natIp \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "ip": [ "192.0.2.0/24" ], "zone": "string" }]